cdac.medinfo.model

## Class OrganizationPartOfInfo

- java.lang.Object
- - cdac.medinfo.model.OrganizationPartOfInfo

-     public class OrganizationPartOfInfo
      extends java.lang.Object

  This class specify the Organization Part Of Details.

  This class has the following attributes:

  1. id (List`<Identifiers>`)
  2. realm Code (List`<String>`)
  3. effective Time (EffectiveDateTime)
  4. whole Organization (OrganizationInfo)

  This class provides accessors and mutators for the elements mentioned above.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OrganizationPartOfInfo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EffectiveDateTime` | `getEffectiveTime()` Returns the Effective time of Organization Part Of.
    `java.util.List<Identifiers>` | `getId()` Returns List of the ID
    `java.util.List<java.lang.String>` | `getRealmCode()` Returns the List of Realm Code.
    `OrganizationInfo` | `getWholeOrganization()` Returns the Details of Whole Organization.
    `void` | `setEffectiveTime(EffectiveDateTime effectiveTime)` Sets the Effective time of Organization Part Of.
    `void` | `setWholeOrganization(OrganizationInfo wholeOrganization)` Sets the Details of Whole Organization.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OrganizationPartOfInfo

          public OrganizationPartOfInfo()

  - ### Method Detail

    - #### getId

          public java.util.List<Identifiers> getId()

      Returns List of the ID
      Returns:
        the id

    - #### getRealmCode

          public java.util.List<java.lang.String> getRealmCode()

      Returns the List of Realm Code.
      Returns:
        the realmCode

    - #### getEffectiveTime

          public EffectiveDateTime getEffectiveTime()

      Returns the Effective time of Organization Part Of.
      Returns:
        the effectiveTime

    - #### setEffectiveTime

          public void setEffectiveTime(EffectiveDateTime effectiveTime)

      Sets the Effective time of Organization Part Of.
      Parameters:
        `effectiveTime` - Specifies the Effective time of Organization Part Of.

    - #### getWholeOrganization

          public OrganizationInfo getWholeOrganization()

      Returns the Details of Whole Organization.
      Returns:
        the wholeOrganization

    - #### setWholeOrganization

          public void setWholeOrganization(OrganizationInfo wholeOrganization)

      Sets the Details of Whole Organization.
      Parameters:
        `wholeOrganization` - Specifies the Details of Whole Organization.